Package Details: python-pyclip 0.7.0-5

Git Clone URL: https://aur.archlinux.org/python-pyclip.git (read-only, click to copy)
Package Base: python-pyclip
Description: Cross-platform clipboard utilities supporting both binary and text data
Upstream URL: https://pypi.org/project/pyclip/
Licenses: Apache-2.0
Submitter: flipflop97
Maintainer: ImperatorStorm
Last Packager: ImperatorStorm
Votes: 25
Popularity: 0.57
First Submitted: 2021-09-28 14:39 (UTC)
Last Updated: 2024-04-28 00:18 (UTC)

Dependencies (4)

Required by (5)

Sources (1)

Latest Comments

dreieck commented on 2023-05-12 12:28 (UTC)

python-argparse must be removed from the depends array, see ↗ here.

Thanks for maintaining!

eclairevoyant commented on 2023-05-04 06:35 (UTC) (edited on 2023-05-04 06:39 (UTC) by eclairevoyant)

I agree with the below. The pypi module hasn't been updated since 2015 and is completely unnecessary on a remotely recent system

And the module itself is unsupported (see https://github.com/ThomasWaldmann/argparse/commit/8b46e450e918e2193fb3ca26cb8ddb0e04b20d80 and the fact that the repo itself is archived)

tfuxu commented on 2023-03-12 18:12 (UTC)

@ImperatorStorm Could you drop python-argparse dependency, as argparse is built into Python since 3.2, and its older PyPI version makes issues with some newer apps (breaks blueprint-compiler CLI for example).

grdgkjrpdihe commented on 2022-03-29 01:03 (UTC)

please mark xclip and wl-clipboard as a optional dependency
https://github.com/spyoungtech/pyclip/commit/57b3cada0b4a93039b4fbce8b2f1d807175c3310

sigmacold commented on 2021-09-29 07:36 (UTC)

Hello, this package needs to depend on xclip